XmStringDirectionToDirection(library call)

NAME
XmStringDirectionToDirection — A function that converts from XmStringDirection to XmDirection

SYNOPSIS

#include <Xm/Xm.h>
XmDirection XmStringDirectionToDirection(
XmStringDirection direction);

DESCRIPTION

XmStringDirectionToDirection converts the specified XmStringDirection direction value to its equivalent XmDirection value. This function provides backward compatibility with the XmStringDirection data type.

direction
    Specifies the XmStringDirection value to be converted.

RETURN

Returns the following XmDirection values:

XmLEFT_TO_RIGHT
    If the direction argument is XmSTRING_DIRECTION_L_TO_R.

XmRIGHT_TO_LEFT
    If the direction argument is XmSTRING_DIRECTION_R_TO_L.

XmDEFAULT_DIRECTION
    If the direction argument was not either of the above.

RELATED INFORMATION

XmStringDirection(3) and XmDirection(3).